Skip to navigation

Remove a fieldset from the schema

Beta
Remove a fieldset from the schema

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

equipment_schema_idstringRequired
ID of the EquipmentSchema.

Headers

EARLY-ACCESSstringOptional

Set to true to access beta operations via /api/v3.

Request

This endpoint expects an object.
fieldsetIdstringRequired
The API ID of the fieldset to remove from the schema. The fieldset must exist and be accessible.
schemaPrefixReplacementstringOptional
If and only if the fieldset being removed sets the schema's prefix, this field must be present to provide a replacement prefix. It is an error to supply this field if the fieldset being removed does not have a prefix.

Response

OK
__typenamestringOptional
archiveReasonstring or nullOptional
archivedbooleanOptional
availableRegistrationNamingOptionslist of enumsOptional
constraintobject or nullOptional

Defines uniqueness requirements for entities within a schema. Constraints ensure that registered entities have unique values across specified fields (see fieldDefinitionNames) or unique domain-specific properties (see TypeSpecificConstraint). The hasUniqueResidues field is a legacy indicator for sequence uniqueness.

containableTypeenumOptional
Allowed values:
containerNameTemplateobject or nullOptional
A name template for containers.
createdAtstring or nullOptional
descriptionstringOptional
fieldDefinitionsstringOptionalformat: "uri"
fieldsetsstringOptionalformat: "uri"
iconIdenumOptional
Allowed values:
idstringOptional
includeRegistryIdInChipsbooleanOptional
itemIdPrefixstringOptional
modifiedAtstringOptional
namestringOptional
nameTemplateobject or nullOptional
A name template for entities.
organizationobjectOptional
systemCategorieslist of objectsOptional
systemNamestringOptional
useRegistryIdForItemDisplayLabelbooleanOptional
validationRulesstringOptionalformat: "uri"

Errors

400
Equipment Schema Remove Fieldset Request Bad Request Error
403
Equipment Schema Remove Fieldset Request Forbidden Error
404
Equipment Schema Remove Fieldset Request Not Found Error
409
Equipment Schema Remove Fieldset Request Conflict Error
429
Equipment Schema Remove Fieldset Request Too Many Requests Error
500
Equipment Schema Remove Fieldset Request Internal Server Error